Skip to content
Skip to main content
DELETE
/v3/grants/{grant_id}/messages/schedules/{scheduleId}

Cancel a scheduled message

Cancels the send schedule for a scheduled message. You can use this endpoint up to 10 seconds before the message has reached its send_at time. If you make a DELETE request less than 10 seconds before the send_at time, Nylas cannot guarantee the schedule will be cancelled successfully.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

scheduleId*string

The ID of the send schedule you want to cancel.

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

Responses

request_id*string
Example: "9c2ce8cd-d6e0-4206-a1d0-703f16880061"
data*object
DELETEhttps://api.us.nylas.com/v3/grants/{grant_id}/messages/schedules/{scheduleId}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

scheduleIdrequiredstring

The ID of the send schedule you want to cancel.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.